Named (Gradle API 4.10.2)
Date: 2018-09-19

org.gradle.api

## Interface Named

- All Known Subinterfaces:
    ApplicationBinarySpec, ApplicationSpec, Architecture, ArtifactTypeDefinition, AssemblerSourceSet, Authentication, AwsImAuthentication, BasicAuthentication, BinaryContainer, BinarySpec, BuildableComponent, BuildableComponentSpec, BuildType, CheckableComponentSpec, Clang, ClassDirectoryBinarySpec, CoffeeScriptSourceSet, ComponentSpec, ComponentSpecContainer, ComponentWithBinaries, ComponentWithCoordinates, ComponentWithDependencies, ComponentWithExecutable, ComponentWithInstallation, ComponentWithLinkFile, ComponentWithLinkUsage, ComponentWithNativeRuntime, ComponentWithObjectFiles, ComponentWithOutputs, ComponentWithRuntimeFile, ComponentWithRuntimeUsage, ComponentWithSharedLibrary, ComponentWithStaticLibrary, ComponentWithVariants, ConfigurationVariant, CppApplication, CppBinary, CppComponent, CppExecutable, CppLibrary, CppPlatform, CppSharedLibrary, CppSourceSet, CppStaticLibrary, CppTestExecutable, CppTestSuite, CSourceSet, CUnitTestSuiteBinarySpec, CUnitTestSuiteSpec, DependentSourceSet, DependentSourceSet, DigestAuthentication, Distribution, Flavor, FunctionalSourceSet, Gcc, GccCompatibleToolChain, GeneralComponentSpec, GoogleTestTestSuiteBinarySpec, GoogleTestTestSuiteSpec, HeaderExportingSourceSet, HttpHeaderAuthentication, IvyConfiguration, IvyPublication, JarBinarySpec, JavaPlatform, JavaScriptSourceSet, JavaSourceSet, JavaToolChain, JUnitTestSuiteBinarySpec, JUnitTestSuiteSpec, JvmBinarySpec, JvmClasses, JvmComponentSpec, JvmLibrarySpec, JvmResourceSet, JvmTestSuiteBinarySpec, JvmTestSuiteSpec, LanguageSourceSet, LibraryBinarySpec, LibrarySpec, LocalJava, MavenPublication, ModelElement, ModelMap<T>, ModelSet<T>, NativeBinarySpec, NativeComponentSpec, NativeExecutableBinarySpec, NativeExecutableSpec, NativeLibraryBinarySpec, NativeLibrarySpec, NativePlatform, NativeResourceSet, NativeTestSuiteBinarySpec, NativeTestSuiteSpec, NativeToolChain, ObjectiveCppSourceSet, ObjectiveCSourceSet, OperatingSystem, Platform, PlatformAwareComponentSpec, PlayApplicationBinarySpec, PlayApplicationSpec, PlayDistribution, PlayPlatform, PlayPlatformAwareComponentSpec, PlayToolChain, PrebuiltLibrary, Product, ProductionComponent, ProductionCppComponent, ProductionSwiftComponent, PublicAssets, Publication, PublishableComponent, RoutesSourceSet, ScalaLanguageSourceSet, ScalaPlatform, ScalaToolChain, SharedLibraryBinarySpec, SoftwareComponent, SourceComponentSpec, SourceDirectorySet, StaticLibraryBinarySpec, SwiftApplication, SwiftBinary, Swiftc, SwiftComponent, SwiftExecutable, SwiftLibrary, SwiftPlatform, SwiftSharedLibrary, SwiftStaticLibrary, SwiftXCTestBinary, SwiftXCTestBundle, SwiftXCTestExecutable, SwiftXCTestSuite, TargetedNativeComponent, TaskReference, TestComponent, TestSuiteBinarySpec, TestSuiteComponent, TestSuiteContainer, TestSuiteSpec, ToolChain, TwirlSourceSet, Usage, VariantComponent, VariantComponentSpec, VisualCpp, VisualStudioProject, VisualStudioSolution, WindowsResourceSet
  All Known Implementing Classes:
    org.gradle.api.internal.AbstractBuildableComponentSpec, org.gradle.platform.base.component.internal.AbstractComponentSpec, org.gradle.language.base.internal.AbstractLanguageSourceSet, Attribute, BaseBinarySpec, BaseComponentSpec, BaseLanguageSourceSet, org.gradle.platform.base.component.internal.DefaultComponentSpec, Linkage, OperatingSystemFamily, PluginDeclaration

      public interface Named

  Types can implement this interface and use the embedded `Named.Namer` implementation, to satisfy API that calls for a namer.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static class` | `Named.Namer` An implementation of the namer interface for objects implementing the named interface.

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getName()` The object's name.

- - ### Method Detail

    - #### getName

          String getName()

      The object's name.

      Must be constant for the life of the object.

      Returns:
        The name. Never null.